Subject: Re: [bitcoin-dev] Revisiting NODE_BLOOM: Proposed BIP

From: Matt Corallo <[email-masked]>
Date: Mon, 24 Aug 2015 18:28:59 +0000

On 08/24/15 18:15, Eric Lombrozo wrote:
> It would be very useful to not only be able to switch filtering on and
> off globally...but to be able to switch on a per-connection basis.

I'm not sure what your reasoning for this is? If your concern is that
someone starts DoS attacking you with bloom-based attacks, you should
just disconnect them as an attacker, and announce that you support bloom
filtering globally. If you want to serve your own nodes, then I dont
think this BIP doesnt allow you to do so, just needs an implementation.

> But
> then again, perhaps it would be smarter to ditch the whole bloom filter
> thing in favor of an actual client/server architecture with proper
> authentication and access controls.

Trustless (and non-privacy-losing) proposals welcome :)

> The RPC was supposed to be this client/server architecture...but in
> practice it sucks so bad for doing anything beyond administering a node
> instance you fully control yourself that I eschewed it entirely in my
> wallet design.
> 
> 
> On Mon, Aug 24, 2015, 11:07 AM Matt Corallo via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     BIP 111 was assigned, pull request (with the proposed changes) available
>     at https://github.com/bitcoin/bips/pull/183
> 
>     Matt
> 
>     On 08/24/15 18:00, Peter Todd wrote:
>     > On Mon, Aug 24, 2015 at 05:37:51PM +0000, Matt Corallo via
>     bitcoin-dev wrote:
>     >> Its more of a statement of "in the future, we expect things to happen
>     >> which would make this an interesting thing to do, so we state
>     here that
>     >> it is not against spec to do so". Could reword it as "NODE_BLOOM is
>     >> distinct from NODE_NETWORK, and it is legal to advertise
>     NODE_BLOOM but
>     >> not NODE_NETWORK (though there is little reason to do so now, some
>     >> proposals may make this more useful in the future)"?
>     >
>     > ACK
>     >
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>